/**
 * 
 */
package com.ejie.m62fb.utils.bean;

/**
 * <p>
 * Clase que contiene el dato  y c&oacute;mo se accede hasta &eacute;l
 * </p>
 * <p>
 * Para acceder a un dato valor.getAtr1() el atributo acceso debe contener <code>valor.atr1</code>
 * <br>
 * Para acceder a un dato valor.getAtr1().getAtr2() el atributo acceso debe contener <code>valor.atr1.atr2</code>
 * </p>
XXXX
 *
 */
public class BeanAccess {

	private String acceso;
	private Object objeto;
	
	/**
	 * Constructor por defecto
	 */
	public BeanAccess() {
		super();
	}
	
	/**
	 * @param acceso Forma de acceder al dato
	 * @param objeto Objeto que contiene el dato
	 */
	public BeanAccess(String acceso, Object objeto) {
		this.acceso = acceso;
		this.objeto = objeto;
	}
	/**
	 * Devuelve la forma para acceder al dato
	 * @return La forma para acceder al dato
	 */
	public String getAcceso() {
		return this.acceso;
	}
	/**
	 * Establece la forma para acceder al dato
	 * @param acceso La forma para acceder al dato
	 */
	public void setAcceso(String acceso) {
		this.acceso = acceso;
	}
	/**
	 * Devuelve el objeto que contiene el dato
	 * @return El objeto que contiene el dato
	 */
	public Object getObjeto() {
		return this.objeto;
	}
	/**
	 * Establece el objeto que contiene el dato
	 * @param objeto El objeto que contiene el dato
	 */
	public void setObjeto(Object objeto) {
		this.objeto = objeto;
	}
	
}
